Wasserstrein Loss (W-loss) approximates the Earth Mover's Distance (voir capture W-loss )
W-loss y9iss distance bin fake c(g(z)) w real c(x) 
Rq : discriminator ( nsamiwah critic ) y7éb ymaximisi distance héthi bch ywaliwlou wa47in 
Rq : Generator yhb yminimisi distance héthi bch ykoun real kif fake 
Difference bin les deux loss : 
BCE : lézm output ykoun bin 0 w 1 (sigmoid fi ékhr layer ) 
W-loss : y5araj n'importe quel valeur .. flkher méhi élla distance .. ==> no Vanishing gradients + no mode collapse ( dima yjiw useful feedback ) 